%global desktop_file_utils_version 0.2.90

%global patched_tarball 1

%if %patched_tarball
%global patch_ext .p
%else
%global patch_ext %{nil}
%endif

Summary: High speed arctic racing game
Name: extremetuxracer
Version: 0.6.0
Release: 1%{?dist}
License: GPLv2+
Group: Amusements/Games
URL: http://extremetuxracer.sourceforge.net
# This is really
# http://downloads.sourceforge.net/extremetuxracer/etr-%{version}.tar.xz, but
# with a badly licensed font file removed. Use etr-clean-tarball.sh to
# regenerate from the upstream tarball.
Source0: etr-%{version}%{patch_ext}.tar.xz
Source1: etr-clean-tarball.sh
Source2: etr.appdata.xml
# Don't reference removed files
Patch0: etr-0.6.0-clean-tarball.patch
# Recreated files after the above patch
Patch10: etr-0.6.0-1-autofoo.patch.xz

BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: SDL-devel >= 1.2
BuildRequires: SDL_image-devel >= 1.2
BuildRequires: SDL_mixer-devel >= 1.2
BuildRequires: freetype-devel
BuildRequires: pkgconfig
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: fontpackages-devel
BuildRequires: symlinks

Requires: opengl-games-utils
Requires: extremetuxracer-common = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: extremetuxracer-papercuts-fonts = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: extremetuxracer-papercuts-outline-fonts = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: gnu-free-sans-fonts

%description
Extreme Tux Racer is an open-source downhill racing game starring Tux, the
Linux mascot.

%package common
Summary: Common files for Extreme Tux Racer and its fonts
BuildArch: noarch

%description common
This package consists of files used by other %{name} packages.

%package papercuts-fonts
Summary: PaperCuts 2.0 font
BuildArch: noarch
Requires: extremetuxracer-common = %{?epoch:%{epoch}:}%{version}-%{release}

%description papercuts-fonts
This package contains the PaperCuts 2.0 font which is used by Extreme Tux
Racer.

%_font_pkg -n papercuts pc_20.ttf PaperCuts20.ttf

%package papercuts-outline-fonts
Summary: PaperCuts Outline 2.0 font
BuildArch: noarch
Requires: extremetuxracer-common = %{?epoch:%{epoch}:}%{version}-%{release}

%description papercuts-outline-fonts
This package contains the PaperCuts Outline 2.0 font which is used by Extreme
Tux Racer.

%_font_pkg -n papercuts-outline pc_outline.ttf PaperCuts_outline.ttf

%prep
%setup -q -n etr-%{version}%{?patch_ext}

%patch0 -p1 -b .clean-tarball

%patch10 -p1 -b .autofoo

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR="%{buildroot}" install

ln -snf opengl-game-wrapper.sh %{buildroot}%{_bindir}/etr-wrapper
desktop-file-edit --set-key=Exec --set-value=etr-wrapper \
    %{buildroot}%{_datadir}/applications/etr.desktop

mkdir -p %{buildroot}%{_fontdir}
pushd %{buildroot}%{_datadir}/etr/fonts
rm -f stdbold.ttf stditalic.ttf std.ttf
for i in *.ttf; do
    mv "$i" %{buildroot}%{_fontdir}/
    ln -s "%{buildroot}%{_fontdir}/$i" "$i"
done
# Trick symlinks into making symlinks relative which are dangling in the
# buildroot
mkdir -p "%{buildroot}%{_fontbasedir}/gnu-free"
for i in FreeSansBold.ttf FreeSansOblique.ttf FreeSans.ttf; do
    touch "%{buildroot}%{_fontbasedir}/gnu-free/$i"
done
ln -s "%{buildroot}%{_fontbasedir}/gnu-free/FreeSansBold.ttf" stdbold.ttf
ln -s "%{buildroot}%{_fontbasedir}/gnu-free/FreeSansOblique.ttf" stditalic.ttf
ln -s "%{buildroot}%{_fontbasedir}/gnu-free/FreeSans.ttf" std.ttf
symlinks -c -s .
rm -rf "%{buildroot}%{_fontbasedir}/gnu-free"
popd
# compat symlinks for 3rd party users
ln -s pc_20.ttf "%{buildroot}%{_fontdir}/PaperCuts20.ttf"
ln -s pc_outline.ttf "%{buildroot}%{_fontdir}/PaperCuts_outline.ttf"
# move docs in correct location
# mv -f %{buildroot}%{_docdir}/etr %{buildroot}%{_pkgdocdir}

# install appdata file
install -DT -m0644 %{SOURCE2} %{buildroot}%{_datadir}/appdata/etr.appdata.xml

%clean
rm -rf %{buildroot}

%files
#%doc %{_pkgdocdir}/*
%doc %{_docdir}/*
%{_bindir}/etr
%{_bindir}/etr-wrapper
%{_datadir}/etr
%{_datadir}/applications/etr.desktop
%{_datadir}/pixmaps/etr.png
%{_datadir}/appdata

%files common
%doc AUTHORS COPYING ChangeLog

%changelog
* Sat Oct 04 2014 Django <django@nausch.org> - 0.6.0-1
- Initial build for CentOS 7
